/*
 * ops.h - Higher-level toolpath operations
 *
 * Written 2010-2012 by Werner Almesberger
 * Copyright 2010-2012 Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef OPS_H
#define OPS_H

#include "path.h"


struct path *tool_comp_paths(const struct path *paths, int dog_bone,
    int all_inside);
struct path *try_drill(struct path *path, double d_min, double d_max);
struct path *try_mill(struct path *path, double diam, double step, int any);
struct path *optimize_paths(struct path *paths);
struct path *reverse_paths(const struct path *paths);

#endif /* !OPS_H */
