/*
 * gui_util.h - GUI helper functions
 *
 * Written 2009 by Werner Almesberger
 * Copyright 2009 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef GUI_UTIL_H
#define GUI_UTIL_H

#include <stdint.h>
#include <gtk/gtk.h>


void hpoint(guchar *rgbbuf, int x, int y, int sx, uint8_t c[3]);
void vpoint(guchar *rgbbuf, int y, int x, int sx, uint8_t c[3]);

void aa_line(guchar *rgbbuf, int i, double fa, double fb, int max, int sx,
     uint8_t c[3],
     void (*point)(guchar *rgbbuf, int f, int i, int sx, uint8_t c[3]));

void draw_circle(GdkDrawable *da, GdkGC *gc, int x, int y, int r);

#endif /* !GUI_UTIL_H */
