/*
 * histo.h - Distribution of Z values
 *
 * Written 2010 by Werner Almesberger
 * Copyright 2010 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef HISTO_H
#define HISTO_H

#include "array.h"


struct histo {
	int n;	/* number of bins */
	int *b; /* bins */
};


struct histo *make_histo(struct array *a);
void free_histo(struct histo *h);
int median(const struct histo *h);

#endif /* !HISTO_H */
