/*
 * style.h - GUI style parameters and items
 *
 * Written 2010 by Werner Almesberger
 * Copyright 2010 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef STYLE_H
#define STYLE_H

#include <gtk/gtk.h>


extern GdkGC *gc_osd;


#define	OSD_PROXIMITY		20	/* pixels */
#define	LEVEL_CENTER_DIV	5	/* fraction of diagonal */
#define	OVERLAP_BORDER		30	/* pixels around min. drawing area */
#define	OVERLAP_CENTER_DIV	5	/* fraction of diagonal */
#define	SLOWEST_ROT		3	/* thrice the half-diagonal */
#define	FASTEST_ROT		2	/* one pixel in distance of 2 pixels */
#define	DIST_STEPS		5	/* fastest shift is 5 px/wheel step */
#define	PROJECTION_BORDER	2	/* pixels around projections */


void init_style(GdkDrawable *da);

#endif /* !STYLE_H */
